[Pkg-puppet-devel] [SCM] Puppet packaging for Debian branch, master, updated. debian/2.6.0-2-119-g611c2bb
Mathias Gug
mathias.gug at canonical.com
Fri Aug 20 15:45:27 UTC 2010
The following commit has been merged in the master branch:
commit ddfdb32864b982d290bc0ece06e1dc8dea72b9a9
Author: Mathias Gug <mathias.gug at canonical.com>
Date: Fri Aug 20 11:02:18 2010 -0400
Restart apache2 rather than reload
Once the puppetmaster site has been enabled, restart rather than reload
apache2. It seems that reload breaks ssl.
diff --git a/debian/puppetmaster-passenger.postinst b/debian/puppetmaster-passenger.postinst
index cbfec30..7d9c994 100644
--- a/debian/puppetmaster-passenger.postinst
+++ b/debian/puppetmaster-passenger.postinst
@@ -31,10 +31,11 @@ if [ "$1" = "configure" ]; then
a2enmod ssl
a2ensite puppetmaster
if [ -x "/etc/init.d/apache2" ]; then
+ # Seems that a restart is needed. reload breaks ssl apparently.
if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
- invoke-rc.d apache2 force-reload || exit $?
+ invoke-rc.d apache2 restart || exit $?
else
- /etc/init.d/apache2 force-reload || exit $?
+ /etc/init.d/apache2 restart || exit $?
fi
fi
fi
--
Puppet packaging for Debian
More information about the Pkg-puppet-devel
mailing list